summaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2018-05-05 03:54:55 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2018-05-10 19:23:02 +0200
commit724d979a41e9a96b27c16e522929c3f918f46a79 (patch)
treec0a3602abfdc37477ba7a3ad83461097baccb5e6
parentallowedips: simplify arithmetic (diff)
downloadwireguard-monolithic-historical-724d979a41e9a96b27c16e522929c3f918f46a79.tar.xz
wireguard-monolithic-historical-724d979a41e9a96b27c16e522929c3f918f46a79.zip
wg-quick: preliminary support for go implementation
-rwxr-xr-xsrc/tools/wg-quick.bash8
1 files changed, 7 insertions, 1 deletions
diff --git a/src/tools/wg-quick.bash b/src/tools/wg-quick.bash
index f8c1ce7..cd66b4d 100755
--- a/src/tools/wg-quick.bash
+++ b/src/tools/wg-quick.bash
@@ -83,7 +83,13 @@ auto_su() {
}
add_if() {
- cmd ip link add "$INTERFACE" type wireguard
+ local ret
+ if ! cmd ip link add "$INTERFACE" type wireguard; then
+ ret=$?
+ [[ -e /sys/module/wireguard ]] || ! command -v wireguard-go >/dev/null && return $ret
+ echo "[!] Missing WireGuard kernel module. Falling back to slow userspace implementation."
+ cmd wireguard-go "$INTERFACE"
+ fi
}
del_if() {